package woobungee;

import java.io.File;
import java.io.IOException;

import net.md_5.bungee.api.CommandSender;
import net.md_5.bungee.api.chat.TextComponent;
import net.md_5.bungee.api.plugin.Command;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;

public class WooCommand extends Command{
	
	 public WooCommand() {
	      super("woobungee", "woobungee.admin");
	  }
	 
	  @Override
	  public void execute(CommandSender commandSender, String[] strings) {
	      
		  if(strings.length != 1) {
			  commandSender.sendMessage(new TextComponent("Usage: /woobungee <reload/check>"));
			  return;
		  }
		  
		  if(strings[0].equals("reload")) {
			  
			try {
				main.config = ConfigurationProvider.getProvider(YamlConfiguration.class)
							.load(new File("plugins/woobungee/config.yml"));
			} catch (IOException e) {
				e.printStackTrace();
			}
			
			commandSender.sendMessage(new TextComponent("WooBungee reloaded!"));
			  
		  } else if(strings[0].equals("check")) {
			  
			  main.update();
			  commandSender.sendMessage(new TextComponent("WooBungee orders updated!"));
			  
		  } else {
			  commandSender.sendMessage(new TextComponent("Usage: /woobungee <reload/check>"));
		  }
		  
	  }

}
